org.jgrapht.alg

## Class StoerWagnerMinimumCut.VertexAndWeight

- java.lang.Object
- - org.jgrapht.alg.StoerWagnerMinimumCut.VertexAndWeight

- All Implemented Interfaces:
    Comparable<StoerWagnerMinimumCut.VertexAndWeight>
  Enclosing class:
    StoerWagnerMinimumCut<V,E>

      protected class StoerWagnerMinimumCut.VertexAndWeight
      extends Object
      implements Comparable<StoerWagnerMinimumCut.VertexAndWeight>

  Class for weighted vertices

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `active`
    `Set<V>` | `vertex`
    `Double` | `weight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoerWagnerMinimumCut.VertexAndWeight(Set<V> v, double w, boolean active)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(StoerWagnerMinimumCut.VertexAndWeight that)` compareTo that sorts in reverse order because we need extract-max and queue provides extract-min.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vertex

          public Set<V> vertex

    - #### weight

          public Double weight

    - #### active

          public boolean active

  - ### Constructor Detail

    - #### StoerWagnerMinimumCut.VertexAndWeight

          public StoerWagnerMinimumCut.VertexAndWeight(Set<V> v,
                                               double w,
                                               boolean active)

  - ### Method Detail

    - #### compareTo

          public int compareTo(StoerWagnerMinimumCut.VertexAndWeight that)

      compareTo that sorts in reverse order because we need extract-max and queue provides extract-min.
      Specified by:
        `compareTo` in interface `Comparable<StoerWagnerMinimumCut.VertexAndWeight>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All rights reserved.